質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.36%

  • Python 3.x

    2425questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • pip

    100questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。

Pythonでpip install requests実行後のエラー

受付中

回答 2

投稿 2017/11/22 13:45 ・編集 2017/11/24 11:28

  • 評価
  • クリップ 0
  • VIEW 119

gogoseven

score 0

前提・実現したいこと

python 3.5を使用しています

PowerShellにて、venvを有効化後、pip install requests を実行したところ、
タイムアウトエラーが出たが、それはプロキシ設定により解決
しかし、今度は以下のエラーが発生

どこをチェックすべきですか?

発生している問題・エラーメッセージ

Collecting requests
Could not find a version that satisfies the requirement requests (from versions: )
No matching distribution found for requests

該当のソースコード

pip install requests

試したこと

課題に対してアプローチしたことを記載してください

補足情報(言語/FW/ツール等のバージョンなど)

(env) PS C:\Users\xxxxxxxx> pip --version
pip 7.1.2 from c:\users\xxxxxxxx\env\lib\site-packages (python 3.5)
(env) PS C:\Users\xxxxxxxx> gcm pip

CommandType     Name                                                Definition
-----------     ----                                                ----------
Application     pip.exe                                             C:\Users\xxxxxxxx\env\Scripts\pip.exe
Application     pip.exe                                             C:\Users\xxxxxxxx\AppData\Local\Programs\Python\...

上記の"xxxxxxxx"は、私のアカウントです

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • sa-yu

    2017/11/22 21:59

    pipのバージョン違いな気がします。`pip --version`でpipのバージョンが、`gcm pip`で実行ファイルのパスが見られるので、そちらを教えていただけますか。

    キャンセル

回答 2

0

これとかはどうでしょう?
https://stackoverflow.com/questions/30536946/how-to-install-requests-module-in-python-3-4-version-on-windows

あるいは、さらに詳細なエラーがあれば、わかるかもしれません。

pip install -vvv requests

投稿 2017/11/22 14:43

編集 2017/11/22 14:52

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/22 17:54

    試しましたが、同じエラーが発生します
    Could not find a version that satisfies the requirement requests (from versions: )
    No matching distribution found for requests

    キャンセル

  • 2017/11/24 18:56

    管理者権限を与えていますか?

    キャンセル

  • 2017/11/24 19:00

    はい、与えています

    キャンセル

  • 2017/11/24 19:03

    pip searchでrequestsや他のパッケージ、例えばnumpyなどが見つかりますか?

    キャンセル

  • 2017/11/26 00:12

    pip search requests 実行後、Exception: Traceback(most recent call last): Fileのロケーションが多数表示されますが、最後にssl エラーが出ています。certificate verify failed(_ssl.c:645)

    キャンセル

  • 2017/11/26 00:14

    pip search numpy も同じsslエラーになります

    キャンセル

0

バージョン情報追加ありがとうございます。

以前、仮想環境を作ったときに設定を間違えて、仮想環境じゃない方のpipを使ってしまって、上記エラーが出たことがあったのですが、それではないようです。

ただ、pipのバージョンがが若干古いのが気になります。
もしかしたら、以下でpipを最新化すれば、うまくいくかもしれません。

(env)$ pip install --upgrade pip

投稿 2017/11/24 17:49

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/11/24 19:00

    (env) PS C:\Users\xxxxxxxx> pip install --upgrade pip
    Requirement already up-to-date: pip in c:\users\xxxxxxxx\env\lib\site-packages

    試しましたが、すでに最新であるようです。。。

    キャンセル

  • 2017/11/24 23:49

    pipの最新は9.0.1のはずなのですが、どうして7.1.2で最新と認識されているんだろう???
    PyPiを見に行ってないのかな???

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.36%

関連した質問

同じタグがついた質問を見る

  • Python 3.x

    2425questions

    Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

  • pip

    100questions

    pipとは、Pythonを用いて書かれているパッケージソフトのインストールや管理を行うためのパッケージマネジメントシステムです。pipを使う主なメリットは、コマンドラインインターフェースにて容易にPythonパッケージソフトをインストール可能だという点です。